Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.ListPlanResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.ListPlanResponse`, `ClientWireProtocol.ListPlanResponse.Builder`

Enclosing class:
  ClientWireProtocol

    public static interface ClientWireProtocol.ListPlanResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`String` | `getPlanName​(int index)` | `repeated string planName = 2;`
`com.google.protobuf.ByteString` | `getPlanNameBytes​(int index)` | `repeated string planName = 2;`
`int` | `getPlanNameCount()` | `repeated string planName = 2;`
`List<String>` | `getPlanNameList()` | `repeated string planName = 2;`
`boolean` | `getRedirect()` | Redirect = true, means we are telling client to send the command elsewhere
`String` | `getRedirectHost()` | `string redirectHost = 4;`
`com.google.protobuf.ByteString` | `getRedirectHostBytes()` | `string redirectHost = 4;`
`int` | `getRedirectPort()` | `fixed32 redirectPort = 5;`
`ClientWireProtocol.ConfirmationResponse` | `getResponse()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ConfirmationResponseOrBuilder` | `getResponseOrBuilder()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`boolean` | `hasResponse()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasResponse

boolean hasResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Returns:
  Whether the response field is set.

### getResponse

ClientWireProtocol.ConfirmationResponse getResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Returns:
  The response.

### getResponseOrBuilder

ClientWireProtocol.ConfirmationResponseOrBuilder getResponseOrBuilder()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### getPlanNameList

List<String> getPlanNameList()
`repeated string planName = 2;`

Returns:
  A list containing the planName.

### getPlanNameCount

int getPlanNameCount()
`repeated string planName = 2;`

Returns:
  The count of planName.

### getPlanName

String getPlanName​(int index)
`repeated string planName = 2;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The planName at the given index.

### getPlanNameBytes

com.google.protobuf.ByteString getPlanNameBytes​(int index)
`repeated string planName = 2;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the planName at the given index.

### getRedirect

boolean getRedirect()

    Redirect = true, means we are telling client to send the command elsewhere

`bool redirect = 3;`

Returns:
  The redirect.

### getRedirectHost

String getRedirectHost()
`string redirectHost = 4;`

Returns:
  The redirectHost.

### getRedirectHostBytes

com.google.protobuf.ByteString getRedirectHostBytes()
`string redirectHost = 4;`

Returns:
  The bytes for redirectHost.

### getRedirectPort

int getRedirectPort()
`fixed32 redirectPort = 5;`

Returns:
  The redirectPort.